List Inbound
GET
https://x.kupe.in
/
v1
/
orgs
/
{org_id}
/
projects
/
{project_id}
/
inbound
List Inbound
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/inbound"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/inbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/inbound \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"agent_id": "<string>",
"telephony_account_id": "<string>",
"from_number": "<string>",
"name": "<string>",
"status": "draft",
"availability": {
"always": true,
"timezone": "Asia/Kolkata",
"days_of_week": [
123
],
"start": "09:00",
"end": "18:00",
"after_hours_message": ""
},
"open_now": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Project API key (sk-kupe-...) or a Supabase user JWT.
Query Parameters
Required range:
1 <= x <= 100Required range:
x >= 0⌘I
List Inbound
import requests
url = "https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/inbound"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/inbound', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://x.kupe.in/v1/orgs/{org_id}/projects/{project_id}/inbound \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "<string>",
"org_id": "<string>",
"project_id": "<string>",
"agent_id": "<string>",
"telephony_account_id": "<string>",
"from_number": "<string>",
"name": "<string>",
"status": "draft",
"availability": {
"always": true,
"timezone": "Asia/Kolkata",
"days_of_week": [
123
],
"start": "09:00",
"end": "18:00",
"after_hours_message": ""
},
"open_now": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
